# $Id$

use strict;
use warnings;

use Test::More tests => 3;
use File::Temp qw(tempdir);

use_ok('ObsData');
use_ok('ObsData::Repository');

my $o = ObsData->new(
    'testdata/obsdata-conftest', 
    logfile => "testdata/obsdata.log",
    verbose => 0,
);
$o->load();

{
    my $or = ObsData::Repository::dir->new(
        {
            obsdata => $o,
            dir => 'testdata/ohp',
            statusfile => 'testdata/test-index.ini',
            dry_run => 1,
        }
    );
    ok($or->list_archive_from_status, "Can list archive listed in status");
}

